List organizationsv3.1

GET
/api/v3.1/org/list

Retrieves a list of organizations that the authenticated user has access to. This includes organizations where the user is a member with any role.

Authorization

UserApiKeyAuth
x-user-api-key<token>

User API key authentication

In: header

Query Parameters

limitinteger

Number of items per page, max allowed is 50

cursorstring

Cursor for pagination. The cursor is a base64 encoded string of the page and limit. The page is the page number and the limit is the number of items per page. The cursor is used to paginate through the items. The cursor is not required for the first page.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://backend.composio.dev/api/v3.1/org/list"
{
  "organizations": [
    {
      "id": "string",
      "name": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "next_cursor": "string",
  "total_pages": 0,
  "current_page": 0,
  "total_items": 0
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}